-
- All Implemented Interfaces:
public class SpotXAdDescription extends AdDescription
Describes a SpotX ad break request.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description public classSpotXAdDescription.SpotXDataA record of SpotX query string parameters. Each entry contains the parameter name with associated value.
public classSpotXAdDescription.SpotXDataQueryParameterA record of SpotX query string parameters which can be a nested structure. Each entry contains the parameter name with associated value.
public classSpotXAdDescription.GeoDescribes a geographical location.
public classSpotXAdDescription.BuilderThe builder for the SpotXAdDescription.
-
Field Summary
Fields Modifier and Type Field Description private final Stringidprivate final StringmaximumAdDurationprivate final StringipAddressprivate final SpotXAdDescription.SpotXDataQueryParameterqueryParameters
-
Method Summary
Modifier and Type Method Description StringgetId()The identifier of the ad break requested from SpotX. StringgetMaximumAdDuration()The maximum duration of the ad. StringgetIpAddress()The IP address of the viewer. SpotXAdDescription.SpotXDataQueryParametergetQueryParameters()A record of query string parameters added to the SpotX ad break request. booleanisCacheBuster()Returns whether the ad break request should contain a cache buster. booleanequals(Object o)inthashCode()-
-
Method Detail
-
getMaximumAdDuration
@Nullable() String getMaximumAdDuration()
The maximum duration of the ad.
-
getIpAddress
@Nullable() String getIpAddress()
The IP address of the viewer.
-
getQueryParameters
@Nullable() SpotXAdDescription.SpotXDataQueryParameter getQueryParameters()
A record of query string parameters added to the SpotX ad break request.
- Each entry contains the parameter name with associated value.
- For more information, see SpotXDataQueryParameter.
-
isCacheBuster
boolean isCacheBuster()
Returns whether the ad break request should contain a cache buster. (Nullable)
- A cache buster adds a query parameter 'cb' with a random value to circumvent caching mechanisms.
-
hashCode
int hashCode()
-
-
-
-